# nucleus_client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 0.16.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import nucleus_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import nucleus_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import nucleus_client
from nucleus_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
configuration = nucleus_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'
# Configure API key authorization: jwt
configuration = nucleus_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nucleus_client.DefaultApi(nucleus_client.ApiClient(configuration))
client_code = 'client_code_example' # str | 

try:
    # Reactivates a client by client code
    api_instance.activate_client(client_code)
except ApiException as e:
    print("Exception when calling DefaultApi->activate_client: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.gravitate-nucleus.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**activate_client**](docs/DefaultApi.md#activate_client) | **POST** /clients/activate/code-{client_code} | Reactivates a client by client code
*DefaultApi* | [**activate_user**](docs/DefaultApi.md#activate_user) | **POST** /user-activations/{activation_key} | Activates a user
*DefaultApi* | [**add_api_key**](docs/DefaultApi.md#add_api_key) | **POST** /api-keys | Add an API user
*DefaultApi* | [**add_block_type**](docs/DefaultApi.md#add_block_type) | **POST** /block-types | Add a new block type
*DefaultApi* | [**add_client**](docs/DefaultApi.md#add_client) | **POST** /clients | Add new client
*DefaultApi* | [**add_cyclone_client**](docs/DefaultApi.md#add_cyclone_client) | **POST** /cyclone-clients | Add new client or update existing
*DefaultApi* | [**add_cyclone_client_conf**](docs/DefaultApi.md#add_cyclone_client_conf) | **POST** /cyclone-client-confs | Add new client conf or update existing
*DefaultApi* | [**add_cyclone_history_view**](docs/DefaultApi.md#add_cyclone_history_view) | **POST** /cyclone-history-views | Search for history items
*DefaultApi* | [**add_cyclone_resource**](docs/DefaultApi.md#add_cyclone_resource) | **POST** /cyclone-resources | Add new resource or update existing
*DefaultApi* | [**add_cyclone_server**](docs/DefaultApi.md#add_cyclone_server) | **POST** /cyclone-servers | Add new server or update existing
*DefaultApi* | [**add_cyclone_state_view**](docs/DefaultApi.md#add_cyclone_state_view) | **POST** /cyclone-state-views | Search for state items
*DefaultApi* | [**add_data_view**](docs/DefaultApi.md#add_data_view) | **POST** /data-views/v2 | Performs a query against an existing dataset
*DefaultApi* | [**add_data_view_0**](docs/DefaultApi.md#add_data_view_0) | **POST** /data-views/filter-values/v2 | Retrieves a list of possible values for a given set of dimensions
*DefaultApi* | [**add_dataset**](docs/DefaultApi.md#add_dataset) | **POST** /datasets | Add a new dataset
*DefaultApi* | [**add_dataset_metadata**](docs/DefaultApi.md#add_dataset_metadata) | **POST** /dataset-metadata/v0 | Retrieves meta information about data stored in Druid
*DefaultApi* | [**add_dataset_metadata_0**](docs/DefaultApi.md#add_dataset_metadata_0) | **POST** /dataset-metadata | Add new dataset metadata for the activity_type
*DefaultApi* | [**add_download_request**](docs/DefaultApi.md#add_download_request) | **POST** /download-requests | Adds a new (pending) download request
*DefaultApi* | [**add_download_request_0**](docs/DefaultApi.md#add_download_request_0) | **POST** /download-requests/v2 | Adds a new (pending) download request
*DefaultApi* | [**add_entity_batch**](docs/DefaultApi.md#add_entity_batch) | **POST** /entity-batches | Adds a new entity batch, and queues a task to process it
*DefaultApi* | [**add_entity_batch_request**](docs/DefaultApi.md#add_entity_batch_request) | **POST** /entity-batch-requests/activities-delete | Queues a task to process soft deletes for many activity keys
*DefaultApi* | [**add_full_page**](docs/DefaultApi.md#add_full_page) | **POST** /pages/full | Creates a page without removing blocks, widgets, or block_order attributes
*DefaultApi* | [**add_geodata**](docs/DefaultApi.md#add_geodata) | **POST** /geodata | Adds a new geo mapping
*DefaultApi* | [**add_goal**](docs/DefaultApi.md#add_goal) | **POST** /goals | Adds a new goal
*DefaultApi* | [**add_higher_logic_activity**](docs/DefaultApi.md#add_higher_logic_activity) | **POST** /callbacks/higher-logic | Higher Logic callback
*DefaultApi* | [**add_integration**](docs/DefaultApi.md#add_integration) | **POST** /integrations | Adds a new integration
*DefaultApi* | [**add_integration_sync_request**](docs/DefaultApi.md#add_integration_sync_request) | **POST** /admin/integration-sync-requests/ | Run a sync integration      Responses:          204: The sync request was successfully queued
*DefaultApi* | [**add_integration_type**](docs/DefaultApi.md#add_integration_type) | **POST** /integration-types | Add a new integration type
*DefaultApi* | [**add_page**](docs/DefaultApi.md#add_page) | **POST** /pages | Creates a page from a page template
*DefaultApi* | [**add_page_publication**](docs/DefaultApi.md#add_page_publication) | **POST** /page-publications/{page_id} | Updates page with publication information      Responses:          201: Page was updated with publication information
*DefaultApi* | [**add_page_template**](docs/DefaultApi.md#add_page_template) | **POST** /page-templates | Add a new page template
*DefaultApi* | [**add_partner_batch**](docs/DefaultApi.md#add_partner_batch) | **POST** /entity-batches/partner-batches | Adds a new partner batch, and queues a task to process it
*DefaultApi* | [**add_password_reset_request**](docs/DefaultApi.md#add_password_reset_request) | **POST** /password-reset-requests | Creates a new request to reset a user&#39;s password
*DefaultApi* | [**add_prolearn_activity**](docs/DefaultApi.md#add_prolearn_activity) | **POST** /callbacks/prolearn | Prolearn callback
*DefaultApi* | [**add_report**](docs/DefaultApi.md#add_report) | **POST** /reports | Add a new report
*DefaultApi* | [**add_report_config**](docs/DefaultApi.md#add_report_config) | **POST** /report-configs | Add a new report_config
*DefaultApi* | [**add_role**](docs/DefaultApi.md#add_role) | **POST** /roles | Adds a new role
*DefaultApi* | [**add_role_permission**](docs/DefaultApi.md#add_role_permission) | **POST** /role-permissions | Adds a new permission to a role
*DefaultApi* | [**add_schema**](docs/DefaultApi.md#add_schema) | **POST** /schemas | Add a new  schema
*DefaultApi* | [**add_stream_job**](docs/DefaultApi.md#add_stream_job) | **POST** /stream-jobs | Add a new stream_job
*DefaultApi* | [**add_stream_job_submission**](docs/DefaultApi.md#add_stream_job_submission) | **POST** /stream-job-submissions | Add a new stream_job
*DefaultApi* | [**add_term**](docs/DefaultApi.md#add_term) | **POST** /terms | Adds a new term
*DefaultApi* | [**add_upload_request**](docs/DefaultApi.md#add_upload_request) | **POST** /upload-requests | Adds a new (pending) upload request
*DefaultApi* | [**add_user**](docs/DefaultApi.md#add_user) | **POST** /users | Adds a new user
*DefaultApi* | [**add_user_0**](docs/DefaultApi.md#add_user_0) | **POST** /users/admin-notify | Notifies administrator that user has been added or deleted
*DefaultApi* | [**add_user_1**](docs/DefaultApi.md#add_user_1) | **POST** /users/{user_id&gt;/token} | Adds a new user token
*DefaultApi* | [**add_user_role**](docs/DefaultApi.md#add_user_role) | **POST** /user-roles | Add a user to a role
*DefaultApi* | [**add_vault**](docs/DefaultApi.md#add_vault) | **POST** /vault | Add new key document reference to the vault collection and its value in vault manager
*DefaultApi* | [**add_view**](docs/DefaultApi.md#add_view) | **POST** /views | Adds a new view
*DefaultApi* | [**add_widget_type**](docs/DefaultApi.md#add_widget_type) | **POST** /widget-types | Adds a new widget type
*DefaultApi* | [**change_password**](docs/DefaultApi.md#change_password) | **POST** /password-changes/{user_id} | Changes a users password
*DefaultApi* | [**cleanup_dataset_segments**](docs/DefaultApi.md#cleanup_dataset_segments) | **GET** /admin/maintenance/cleanup-dataset-segments | Cleanup old segments for a dataset
*DefaultApi* | [**create_client_package**](docs/DefaultApi.md#create_client_package) | **POST** /client-packages/create | Creates a new client package
*DefaultApi* | [**delete_activity_by_key**](docs/DefaultApi.md#delete_activity_by_key) | **DELETE** /activities/external-key-{external_key} | Soft delete an activity by external key
*DefaultApi* | [**delete_api_key**](docs/DefaultApi.md#delete_api_key) | **DELETE** /api-keys/{user_id} | Deletes an API user by ID
*DefaultApi* | [**delete_block_type**](docs/DefaultApi.md#delete_block_type) | **DELETE** /block-types/{block_type_id} | Deletes a block type by ID
*DefaultApi* | [**delete_client**](docs/DefaultApi.md#delete_client) | **DELETE** /clients/{client_id} | Deletes a client by ID
*DefaultApi* | [**delete_cyclone_client_conf**](docs/DefaultApi.md#delete_cyclone_client_conf) | **DELETE** /cyclone-client-confs | Deletes a cyclone client conf by name
*DefaultApi* | [**delete_dataset**](docs/DefaultApi.md#delete_dataset) | **DELETE** /datasets/{dataset_id} | Deletes a dataset by ID
*DefaultApi* | [**delete_dataset_metadata_by_type**](docs/DefaultApi.md#delete_dataset_metadata_by_type) | **DELETE** /dataset-metadata/{activity_type} | Deletes dataset metadata by activity_type
*DefaultApi* | [**delete_goal**](docs/DefaultApi.md#delete_goal) | **DELETE** /goals/{goal_id} | Deletes a goal by id
*DefaultApi* | [**delete_integration**](docs/DefaultApi.md#delete_integration) | **DELETE** /integrations/{integration_id} | Deletes an integration by ID
*DefaultApi* | [**delete_page**](docs/DefaultApi.md#delete_page) | **DELETE** /pages/{page_id} | Deletes a page by ID
*DefaultApi* | [**delete_page_preference**](docs/DefaultApi.md#delete_page_preference) | **DELETE** /page-preferences/page-id-{page_id} | Deletes page preferences for the authenticated user
*DefaultApi* | [**delete_page_publication**](docs/DefaultApi.md#delete_page_publication) | **DELETE** /page-publications/{page_id} | Deletes publication information for a page      Responses:          204: Page publication information was successfully deleted
*DefaultApi* | [**delete_page_template**](docs/DefaultApi.md#delete_page_template) | **DELETE** /page-templates/{page_template_id} | Deletes a page template by ID
*DefaultApi* | [**delete_page_template_by_slug**](docs/DefaultApi.md#delete_page_template_by_slug) | **DELETE** /page-templates/slug-{slug} | Deletes all page templates with the specified slug
*DefaultApi* | [**delete_report**](docs/DefaultApi.md#delete_report) | **DELETE** /reports/{report_id} | Deletes a report by ID
*DefaultApi* | [**delete_report_config**](docs/DefaultApi.md#delete_report_config) | **DELETE** /report-configs/{report_config_id} | Deletes a report_config by ID
*DefaultApi* | [**delete_role**](docs/DefaultApi.md#delete_role) | **DELETE** /roles/{role_id} | Deletes a role by ID
*DefaultApi* | [**delete_role_permission**](docs/DefaultApi.md#delete_role_permission) | **DELETE** /role-permissions/{role_permission_id} | Deletes a permission for a specific role by ID
*DefaultApi* | [**delete_schema**](docs/DefaultApi.md#delete_schema) | **DELETE** /schemas/{client_id} | Deletes the schema associated with an activity      Responses:          204: Schema was successfully deleted
*DefaultApi* | [**delete_stream_job**](docs/DefaultApi.md#delete_stream_job) | **DELETE** /stream-jobs/{stream_job_id} | Deletes a stream job by ID
*DefaultApi* | [**delete_term**](docs/DefaultApi.md#delete_term) | **DELETE** /terms/{term_id} | Deletes a term by ID
*DefaultApi* | [**delete_user**](docs/DefaultApi.md#delete_user) | **DELETE** /users/{user_id} | Deletes an active user by ID
*DefaultApi* | [**delete_user_0**](docs/DefaultApi.md#delete_user_0) | **DELETE** /users/{token_id} | Deletes an active user token by ID
*DefaultApi* | [**delete_user_role**](docs/DefaultApi.md#delete_user_role) | **DELETE** /user-roles/{user_id} | Deletes a user from a role by user ID
*DefaultApi* | [**delete_vault**](docs/DefaultApi.md#delete_vault) | **DELETE** /vault/{key_id} | Deletes key document from vault manager and its references from the vault collection in mongo
*DefaultApi* | [**delete_widget_type**](docs/DefaultApi.md#delete_widget_type) | **DELETE** /widget-types/{widget_type_id} | Deletes an existing widget type
*DefaultApi* | [**get_api_key**](docs/DefaultApi.md#get_api_key) | **GET** /api-keys/{user_id} | Get an API user by ID
*DefaultApi* | [**get_block_type**](docs/DefaultApi.md#get_block_type) | **GET** /block-types/{block_type_id} | Get a block type by ID
*DefaultApi* | [**get_block_type_by_name**](docs/DefaultApi.md#get_block_type_by_name) | **GET** /block-types/name-{block_type_name} | Get a block type by name
*DefaultApi* | [**get_client**](docs/DefaultApi.md#get_client) | **GET** /clients/{client_id} | Get client by ID
*DefaultApi* | [**get_client_by_code**](docs/DefaultApi.md#get_client_by_code) | **GET** /clients/code-{client_code} | Gets a client by client code
*DefaultApi* | [**get_cyclone_client_by_code**](docs/DefaultApi.md#get_cyclone_client_by_code) | **GET** /cyclone-clients/code-{cyclone_client_code} | Get the cyclone client
*DefaultApi* | [**get_cyclone_client_by_id**](docs/DefaultApi.md#get_cyclone_client_by_id) | **GET** /cyclone-clients/{cyclone_client_id} | Get the cyclone client
*DefaultApi* | [**get_cyclone_resource**](docs/DefaultApi.md#get_cyclone_resource) | **GET** /cyclone-resources/{resource_id} | Get the cyclone resource
*DefaultApi* | [**get_cyclone_server_by_id**](docs/DefaultApi.md#get_cyclone_server_by_id) | **GET** /cyclone-servers/{server_id} | Get the cyclone server
*DefaultApi* | [**get_dataset**](docs/DefaultApi.md#get_dataset) | **GET** /datasets/{dataset_id} | Get a dataset by ID
*DefaultApi* | [**get_dataset_by_name**](docs/DefaultApi.md#get_dataset_by_name) | **GET** /datasets/name-{dataset_name} | Get a dataset by name
*DefaultApi* | [**get_dataset_by_slug**](docs/DefaultApi.md#get_dataset_by_slug) | **GET** /datasets/slug-{dataset_slug} | Get a dataset by slug
*DefaultApi* | [**get_dataset_metadata_by_type**](docs/DefaultApi.md#get_dataset_metadata_by_type) | **GET** /dataset-metadata/{activity_type} | Get dataset metadata by dataset name(activity_type)
*DefaultApi* | [**get_download**](docs/DefaultApi.md#get_download) | **GET** /downloads/{download_id} | Redirects to a signed S3 URL for a completed download
*DefaultApi* | [**get_download_request**](docs/DefaultApi.md#get_download_request) | **GET** /download-requests/{download_id} | Gets a download request by id
*DefaultApi* | [**get_entity_batch**](docs/DefaultApi.md#get_entity_batch) | **GET** /entity-batches/{batch_id} | Gets an entity batch by id
*DefaultApi* | [**get_entity_batch_health**](docs/DefaultApi.md#get_entity_batch_health) | **GET** /admin/entity-batches/health | Gets a health summary of processed entity batches
*DefaultApi* | [**get_filter_values**](docs/DefaultApi.md#get_filter_values) | **POST** /data-views/filter-values | Retrieves a list of possible values for a given set of dimensions
*DefaultApi* | [**get_goal_by_goal**](docs/DefaultApi.md#get_goal_by_goal) | **GET** /goals/id-{goal} | Gets a goal by id
*DefaultApi* | [**get_integration**](docs/DefaultApi.md#get_integration) | **GET** /integrations/{integration_id} | Gets an integration by ID
*DefaultApi* | [**get_integration_type**](docs/DefaultApi.md#get_integration_type) | **GET** /integration-types/{integration_type_id} | Get integration type by id
*DefaultApi* | [**get_integration_type_by_name**](docs/DefaultApi.md#get_integration_type_by_name) | **GET** /integration-types/name-{integration_type_name} | Get integration type by name
*DefaultApi* | [**get_jobs_overview**](docs/DefaultApi.md#get_jobs_overview) | **GET** /admin/jobs/overview | Gets an overview of data processing jobs
*DefaultApi* | [**get_page**](docs/DefaultApi.md#get_page) | **GET** /pages/{page_id} | Gets a page by ID
*DefaultApi* | [**get_page_by_slug**](docs/DefaultApi.md#get_page_by_slug) | **GET** /pages/slug-{slug} | Gets a page by slug
*DefaultApi* | [**get_page_preference**](docs/DefaultApi.md#get_page_preference) | **GET** /page-preferences/page-id-{page_id} | Gets page preferences for the authenticated user
*DefaultApi* | [**get_page_template**](docs/DefaultApi.md#get_page_template) | **GET** /page-templates/{page_template_id} | Gets a page template by ID
*DefaultApi* | [**get_page_template_by_slug**](docs/DefaultApi.md#get_page_template_by_slug) | **GET** /page-templates/slug-{slug} | Gets a page template by slug
*DefaultApi* | [**get_password_reset_by_key**](docs/DefaultApi.md#get_password_reset_by_key) | **GET** /password-resets/{reset_key} | Gets a user by the reset key associated with them
*DefaultApi* | [**get_report**](docs/DefaultApi.md#get_report) | **GET** /reports/{report_id} | Get a report by ID
*DefaultApi* | [**get_report_config**](docs/DefaultApi.md#get_report_config) | **GET** /report-configs/{report_config_id} | Get a report_config by ID
*DefaultApi* | [**get_report_config_by_name**](docs/DefaultApi.md#get_report_config_by_name) | **GET** /report-configs/name-{report_config_name} | Get a report_config by name
*DefaultApi* | [**get_role**](docs/DefaultApi.md#get_role) | **GET** /roles/{role_id} | Gets a role by ID
*DefaultApi* | [**get_role_by_name**](docs/DefaultApi.md#get_role_by_name) | **GET** /roles/name-{role_name} | Gets a role by name
*DefaultApi* | [**get_role_by_slug**](docs/DefaultApi.md#get_role_by_slug) | **GET** /roles/slug-{role_slug} | Gets a role slug
*DefaultApi* | [**get_role_permission**](docs/DefaultApi.md#get_role_permission) | **GET** /role-permissions/{role_permission_id} | Gets a permission for a specific role by ID
*DefaultApi* | [**get_schema**](docs/DefaultApi.md#get_schema) | **GET** /schemas/{schema_id} | Get a schema by ID
*DefaultApi* | [**get_stream_job**](docs/DefaultApi.md#get_stream_job) | **GET** /stream-jobs/{stream_job_id} | Get a stream_job by ID
*DefaultApi* | [**get_stream_job_by_name**](docs/DefaultApi.md#get_stream_job_by_name) | **GET** /stream-jobs/name-{stream_job_name} | Get a stream job by name
*DefaultApi* | [**get_term_by_term**](docs/DefaultApi.md#get_term_by_term) | **GET** /terms/term-{term} | Gets a term by term
*DefaultApi* | [**get_upload_request**](docs/DefaultApi.md#get_upload_request) | **GET** /upload-requests/{upload_id} | Gets an upload request by id
*DefaultApi* | [**get_user**](docs/DefaultApi.md#get_user) | **GET** /users/{user_id} | Gets a user by ID
*DefaultApi* | [**get_user_activation_by_key**](docs/DefaultApi.md#get_user_activation_by_key) | **GET** /user-activations/{activation_key} | Gets the user associated with an activation key
*DefaultApi* | [**get_user_by_email**](docs/DefaultApi.md#get_user_by_email) | **GET** /users/email-{email} | Gets a user by email address
*DefaultApi* | [**get_user_by_idtoken**](docs/DefaultApi.md#get_user_by_idtoken) | **GET** /users/{user_id&gt;/token} | List active tokens associated with a user
*DefaultApi* | [**get_vault**](docs/DefaultApi.md#get_vault) | **GET** /vault/{key_id} | Get a key document by its id from the vault
*DefaultApi* | [**get_view**](docs/DefaultApi.md#get_view) | **GET** /views/{view_id} | Get a view by ID
*DefaultApi* | [**get_view_by_keys**](docs/DefaultApi.md#get_view_by_keys) | **GET** /views/view-hashes-{hash_keys} | Get a list of views by hash key
*DefaultApi* | [**get_widget_type**](docs/DefaultApi.md#get_widget_type) | **GET** /widget-types/{widget_type_id} | Get widget type by ID
*DefaultApi* | [**get_widget_type_by_name**](docs/DefaultApi.md#get_widget_type_by_name) | **GET** /widget-types/name-{widget_type_name} | Get widget type by name
*DefaultApi* | [**list_activities**](docs/DefaultApi.md#list_activities) | **GET** /activities | Get activities from a dataset in JSON or CSV
*DefaultApi* | [**list_api_keys**](docs/DefaultApi.md#list_api_keys) | **GET** /api-keys | List all API users associated with a client
*DefaultApi* | [**list_block_types**](docs/DefaultApi.md#list_block_types) | **GET** /block-types | List all block types
*DefaultApi* | [**list_client_package_status**](docs/DefaultApi.md#list_client_package_status) | **GET** /client-package-status | List client packages job status      Responses:          200: Successful Response
*DefaultApi* | [**list_client_packages**](docs/DefaultApi.md#list_client_packages) | **GET** /client-packages | List available client packages
*DefaultApi* | [**list_client_settings**](docs/DefaultApi.md#list_client_settings) | **GET** /client-settings | List all client-specific settings
*DefaultApi* | [**list_clients**](docs/DefaultApi.md#list_clients) | **GET** /clients | List all clients
*DefaultApi* | [**list_completed_jobs**](docs/DefaultApi.md#list_completed_jobs) | **GET** /admin/jobs/completed | Gets a list of completed data processing jobs
*DefaultApi* | [**list_cyclone_clients**](docs/DefaultApi.md#list_cyclone_clients) | **GET** /cyclone-clients | List all cyclone clients sorted by dt_u descending, with a limit
*DefaultApi* | [**list_cyclone_history**](docs/DefaultApi.md#list_cyclone_history) | **GET** /cyclone-history | Search for history items
*DefaultApi* | [**list_cyclone_resources**](docs/DefaultApi.md#list_cyclone_resources) | **GET** /cyclone-resources | List all cyclone resources
*DefaultApi* | [**list_cyclone_servers**](docs/DefaultApi.md#list_cyclone_servers) | **GET** /cyclone-servers | List all servers
*DefaultApi* | [**list_dataset_metadata**](docs/DefaultApi.md#list_dataset_metadata) | **GET** /dataset-metadata | List all datasets metadata associated with a client
*DefaultApi* | [**list_datasets**](docs/DefaultApi.md#list_datasets) | **GET** /datasets | List all datasets associated with a client
*DefaultApi* | [**list_download_requests**](docs/DefaultApi.md#list_download_requests) | **GET** /download-requests | Gets all unexpired download requests for the authenticated user
*DefaultApi* | [**list_entity_batches**](docs/DefaultApi.md#list_entity_batches) | **GET** /entity-batches | List all entity batches associated with a client
*DefaultApi* | [**list_geodata**](docs/DefaultApi.md#list_geodata) | **GET** /geodata | List all geodata
*DefaultApi* | [**list_goals**](docs/DefaultApi.md#list_goals) | **GET** /goals | List all goals associated with a client
*DefaultApi* | [**list_incomplete_jobs**](docs/DefaultApi.md#list_incomplete_jobs) | **GET** /admin/jobs/incomplete | Gets a list of incomplete data processing jobs
*DefaultApi* | [**list_integration_types**](docs/DefaultApi.md#list_integration_types) | **GET** /integration-types | List all integration types
*DefaultApi* | [**list_integrations**](docs/DefaultApi.md#list_integrations) | **GET** /integrations | List all integrations associated with a client
*DefaultApi* | [**list_maintenance**](docs/DefaultApi.md#list_maintenance) | **GET** /admin/maintenance/delete-datasource | Cleanup for a dataset      Responses:          202: Delete task was successfully queued
*DefaultApi* | [**list_page_preferences**](docs/DefaultApi.md#list_page_preferences) | **GET** /page-preferences | List all page preferences associated with a client for the authenticated user
*DefaultApi* | [**list_page_templates**](docs/DefaultApi.md#list_page_templates) | **GET** /page-templates | List all page templates
*DefaultApi* | [**list_pages**](docs/DefaultApi.md#list_pages) | **GET** /pages | List all pages associated with a client
*DefaultApi* | [**list_pages_by_page_template**](docs/DefaultApi.md#list_pages_by_page_template) | **GET** /pages/page-template-slug-{page_template_slug} | List all pages associated with a particular page template and optionally client
*DefaultApi* | [**list_report_configs**](docs/DefaultApi.md#list_report_configs) | **GET** /report-configs | List all report_configs associated with a client
*DefaultApi* | [**list_reports**](docs/DefaultApi.md#list_reports) | **GET** /reports | List all reports associated with a client
*DefaultApi* | [**list_role_permissions**](docs/DefaultApi.md#list_role_permissions) | **GET** /role-permissions | List all permissions for a specific role
*DefaultApi* | [**list_roles**](docs/DefaultApi.md#list_roles) | **GET** /roles | List roles associated with a client
*DefaultApi* | [**list_schemas**](docs/DefaultApi.md#list_schemas) | **GET** /schemas | List all schemas associated with a client
*DefaultApi* | [**list_stream_job_submissions**](docs/DefaultApi.md#list_stream_job_submissions) | **GET** /stream-job-submissions | List all stream_jobs currently running
*DefaultApi* | [**list_stream_jobs**](docs/DefaultApi.md#list_stream_jobs) | **GET** /stream-jobs | List all stream_jobs associated with a client
*DefaultApi* | [**list_terms**](docs/DefaultApi.md#list_terms) | **GET** /terms | List all terms associated with a client
*DefaultApi* | [**list_upload_requests**](docs/DefaultApi.md#list_upload_requests) | **GET** /upload-requests | Gets all unexpired upload requests for the authenticated user
*DefaultApi* | [**list_user_roles**](docs/DefaultApi.md#list_user_roles) | **GET** /user-roles/{user_id} | List all roles for a specific user
*DefaultApi* | [**list_users**](docs/DefaultApi.md#list_users) | **GET** /users | List active users associated with a client
*DefaultApi* | [**list_vault**](docs/DefaultApi.md#list_vault) | **GET** /vault/list | List all the key documents from the vault collection         associated with the vault/secret manager, product and/or client
*DefaultApi* | [**list_vault_0**](docs/DefaultApi.md#list_vault_0) | **GET** /vault | Get a key document by its identifier from the vault collection
*DefaultApi* | [**list_views**](docs/DefaultApi.md#list_views) | **GET** /views | List metadata for all views associated with a client
*DefaultApi* | [**list_widget_types**](docs/DefaultApi.md#list_widget_types) | **GET** /widget-types | List all widget types
*DefaultApi* | [**load_client_package**](docs/DefaultApi.md#load_client_package) | **POST** /client-packages/load | Imports data for a client into the current environment
*DefaultApi* | [**me**](docs/DefaultApi.md#me) | **GET** /users/me | Get data about the authenticated user
*DefaultApi* | [**query**](docs/DefaultApi.md#query) | **POST** /data-views | Performs a query against an existing dataset
*DefaultApi* | [**query_sql**](docs/DefaultApi.md#query_sql) | **POST** /data-queries | Performs a query against an existing dataset
*DefaultApi* | [**replace_dataset_metadata**](docs/DefaultApi.md#replace_dataset_metadata) | **PUT** /dataset-metadata/{activity_type} | Insert new dataset metadata or Replace existing dataset metadata
*DefaultApi* | [**replace_full_page**](docs/DefaultApi.md#replace_full_page) | **PUT** /pages/full/{page_id} | Replaces an existing page by ID
*DefaultApi* | [**replace_page**](docs/DefaultApi.md#replace_page) | **PUT** /pages/{page_id} | Replaces an existing page by ID
*DefaultApi* | [**replace_templated_page**](docs/DefaultApi.md#replace_templated_page) | **PUT** /pages/templated/{page_id} | Replaces from a page template an existing page by ID
*DefaultApi* | [**reset_password**](docs/DefaultApi.md#reset_password) | **POST** /password-resets/{reset_key} | Resets a user&#39;s password to the specified password
*DefaultApi* | [**update_api_key**](docs/DefaultApi.md#update_api_key) | **PATCH** /api-keys/{user_id} | Updates an existing API user
*DefaultApi* | [**update_block_type**](docs/DefaultApi.md#update_block_type) | **PATCH** /block-types/{block_type_id} | Updates an existing block type
*DefaultApi* | [**update_client**](docs/DefaultApi.md#update_client) | **PATCH** /clients/{client_id} | Updates an existing client
*DefaultApi* | [**update_client_setting**](docs/DefaultApi.md#update_client_setting) | **PATCH** /client-settings/client-id-{client_id} | Insert or update new client-specific settings
*DefaultApi* | [**update_cyclone_client_server**](docs/DefaultApi.md#update_cyclone_client_server) | **PATCH** /cyclone-client-servers | Update the allowed server list of one or more clients
*DefaultApi* | [**update_cyclone_server_key**](docs/DefaultApi.md#update_cyclone_server_key) | **PATCH** /cyclone-server-keys | Rotates the primary RSA keys     Arguments:         action: CycloneServerKeySchema document
*DefaultApi* | [**update_cyclone_server_reassignment**](docs/DefaultApi.md#update_cyclone_server_reassignment) | **PATCH** /cyclone-server-reassignments | Reassign the service_id to the incoming server then     deploy the server
*DefaultApi* | [**update_dataset**](docs/DefaultApi.md#update_dataset) | **PATCH** /datasets/{dataset_id} | Updates an existing dataset
*DefaultApi* | [**update_dataset_metadata**](docs/DefaultApi.md#update_dataset_metadata) | **PATCH** /dataset-metadata | Update existing dataset metadata by composition
*DefaultApi* | [**update_geodata**](docs/DefaultApi.md#update_geodata) | **PATCH** /geodata/update | Updates an existing geo type
*DefaultApi* | [**update_goal**](docs/DefaultApi.md#update_goal) | **PATCH** /goals/{goal_id} | Updates an existing goal
*DefaultApi* | [**update_integration**](docs/DefaultApi.md#update_integration) | **PATCH** /integrations/{integration_id} | Updates an existing integration
*DefaultApi* | [**update_integration_type**](docs/DefaultApi.md#update_integration_type) | **PATCH** /integration-types/{integration_type_id} | Updates an existing integration type
*DefaultApi* | [**update_page_preference**](docs/DefaultApi.md#update_page_preference) | **PATCH** /page-preferences/page-id-{page_id} | Add or update a page preference
*DefaultApi* | [**update_report**](docs/DefaultApi.md#update_report) | **PATCH** /reports/{report_id} | Updates an existing report
*DefaultApi* | [**update_report_config**](docs/DefaultApi.md#update_report_config) | **PATCH** /report-configs/{report_config_id} | Updates an existing report_config
*DefaultApi* | [**update_role**](docs/DefaultApi.md#update_role) | **PATCH** /roles/{role_id} | Updates an existing role
*DefaultApi* | [**update_schema**](docs/DefaultApi.md#update_schema) | **PATCH** /schemas/{schema_id} | Updates an existing schema
*DefaultApi* | [**update_stream_job**](docs/DefaultApi.md#update_stream_job) | **PATCH** /stream-jobs/{stream_job_id} | Updates an existing stream_job
*DefaultApi* | [**update_term**](docs/DefaultApi.md#update_term) | **PATCH** /terms/{term_id} | Updates an existing term
*DefaultApi* | [**update_user**](docs/DefaultApi.md#update_user) | **PATCH** /users/{user_id} | Updates an existing user
*DefaultApi* | [**update_vault**](docs/DefaultApi.md#update_vault) | **PATCH** /vault/{key_id} | Update an existing key document
*DefaultApi* | [**update_widget_type**](docs/DefaultApi.md#update_widget_type) | **PATCH** /widget-types/{widget_type_id} | Updates an existing widget type


## Documentation For Models

 - [ActivitiesDeleteRequest](docs/ActivitiesDeleteRequest.md)
 - [Activity](docs/Activity.md)
 - [AddMetric](docs/AddMetric.md)
 - [AggregationDatasetTask](docs/AggregationDatasetTask.md)
 - [AggregationParameterizedTask](docs/AggregationParameterizedTask.md)
 - [AggregationTask](docs/AggregationTask.md)
 - [AggregationTaskMetric](docs/AggregationTaskMetric.md)
 - [ApiUser](docs/ApiUser.md)
 - [ArrayExplodeManyTransform](docs/ArrayExplodeManyTransform.md)
 - [ArrayExplodeTransform](docs/ArrayExplodeTransform.md)
 - [ArrayTransform](docs/ArrayTransform.md)
 - [BasePage](docs/BasePage.md)
 - [BaseTemplatedPage](docs/BaseTemplatedPage.md)
 - [BaseUser](docs/BaseUser.md)
 - [BatchReceipt](docs/BatchReceipt.md)
 - [BinomialLogisticRegressionTask](docs/BinomialLogisticRegressionTask.md)
 - [Block](docs/Block.md)
 - [BlockFull](docs/BlockFull.md)
 - [BlockType](docs/BlockType.md)
 - [BooleanBucketFilter](docs/BooleanBucketFilter.md)
 - [BooleanBucketTransform](docs/BooleanBucketTransform.md)
 - [BooleanCastTransform](docs/BooleanCastTransform.md)
 - [BooleanConstantTransform](docs/BooleanConstantTransform.md)
 - [BooleanFilter](docs/BooleanFilter.md)
 - [BooleanTransform](docs/BooleanTransform.md)
 - [ChangeHistory](docs/ChangeHistory.md)
 - [Client](docs/Client.md)
 - [ClientDefaultUser](docs/ClientDefaultUser.md)
 - [ClientFeatures](docs/ClientFeatures.md)
 - [ClientPackage](docs/ClientPackage.md)
 - [ClientPackageStatus](docs/ClientPackageStatus.md)
 - [ClientSettings](docs/ClientSettings.md)
 - [ClientSettingsUpdate](docs/ClientSettingsUpdate.md)
 - [ClientSso](docs/ClientSso.md)
 - [ClientUpdate](docs/ClientUpdate.md)
 - [CoalesceTransform](docs/CoalesceTransform.md)
 - [CollectionSizeTransform](docs/CollectionSizeTransform.md)
 - [ColumnMapping](docs/ColumnMapping.md)
 - [ComplexDataset](docs/ComplexDataset.md)
 - [ConstantMetric](docs/ConstantMetric.md)
 - [CountMetric](docs/CountMetric.md)
 - [CreateCustomDatasetTask](docs/CreateCustomDatasetTask.md)
 - [CreateTempTableOperation](docs/CreateTempTableOperation.md)
 - [CumulativeMetric](docs/CumulativeMetric.md)
 - [CumulativeMetricOrderBy](docs/CumulativeMetricOrderBy.md)
 - [CumulativeSumMetric](docs/CumulativeSumMetric.md)
 - [CustomStreamJobSubmissions](docs/CustomStreamJobSubmissions.md)
 - [CycloneAddClient](docs/CycloneAddClient.md)
 - [CycloneAddClientEtlItem](docs/CycloneAddClientEtlItem.md)
 - [CycloneAddConf](docs/CycloneAddConf.md)
 - [CycloneAddResource](docs/CycloneAddResource.md)
 - [CycloneAddServer](docs/CycloneAddServer.md)
 - [CycloneApiSchemaBase](docs/CycloneApiSchemaBase.md)
 - [CycloneAsymmetricEncTest](docs/CycloneAsymmetricEncTest.md)
 - [CycloneClient](docs/CycloneClient.md)
 - [CycloneClientServersUpdate](docs/CycloneClientServersUpdate.md)
 - [CycloneClientServersUpdateItem](docs/CycloneClientServersUpdateItem.md)
 - [CycloneConf](docs/CycloneConf.md)
 - [CycloneConfDestination](docs/CycloneConfDestination.md)
 - [CycloneConfResourceItem](docs/CycloneConfResourceItem.md)
 - [CycloneConfSource](docs/CycloneConfSource.md)
 - [CycloneDeleteEntitiesSuccessResponse](docs/CycloneDeleteEntitiesSuccessResponse.md)
 - [CycloneEmpty](docs/CycloneEmpty.md)
 - [CycloneEncryptionFlowResponse](docs/CycloneEncryptionFlowResponse.md)
 - [CycloneEncryptionFlowSecretResponse](docs/CycloneEncryptionFlowSecretResponse.md)
 - [CycloneEntitiesAddEncRequest](docs/CycloneEntitiesAddEncRequest.md)
 - [CycloneEntitiesAddEncResponse](docs/CycloneEntitiesAddEncResponse.md)
 - [CycloneEntitiesAddRequest](docs/CycloneEntitiesAddRequest.md)
 - [CycloneEntitiesAddResponse](docs/CycloneEntitiesAddResponse.md)
 - [CycloneEntitiesBulkDeleteRequest](docs/CycloneEntitiesBulkDeleteRequest.md)
 - [CycloneEntitiesDelete](docs/CycloneEntitiesDelete.md)
 - [CycloneEntitiesDeleteEncRequest](docs/CycloneEntitiesDeleteEncRequest.md)
 - [CycloneEntitiesDeleteEncResponse](docs/CycloneEntitiesDeleteEncResponse.md)
 - [CycloneEntitiesDeleteRequest](docs/CycloneEntitiesDeleteRequest.md)
 - [CycloneEntitiesDeleteResponse](docs/CycloneEntitiesDeleteResponse.md)
 - [CycloneEntitiesRequest](docs/CycloneEntitiesRequest.md)
 - [CycloneEntitiesSuccessResponse](docs/CycloneEntitiesSuccessResponse.md)
 - [CycloneHistoryEncRequest](docs/CycloneHistoryEncRequest.md)
 - [CycloneHistoryEncResponse](docs/CycloneHistoryEncResponse.md)
 - [CycloneHistoryItem](docs/CycloneHistoryItem.md)
 - [CycloneHistoryItemListResponse](docs/CycloneHistoryItemListResponse.md)
 - [CycloneHistoryItemResponse](docs/CycloneHistoryItemResponse.md)
 - [CycloneHistoryListEncRequest](docs/CycloneHistoryListEncRequest.md)
 - [CycloneHistoryListEncResponse](docs/CycloneHistoryListEncResponse.md)
 - [CycloneHistoryListRequest](docs/CycloneHistoryListRequest.md)
 - [CycloneHistoryListResponse](docs/CycloneHistoryListResponse.md)
 - [CycloneHistoryRequest](docs/CycloneHistoryRequest.md)
 - [CycloneHistoryResponse](docs/CycloneHistoryResponse.md)
 - [CycloneHistorySearch](docs/CycloneHistorySearch.md)
 - [CycloneQueueRelease](docs/CycloneQueueRelease.md)
 - [CycloneQueueReleaseConfs](docs/CycloneQueueReleaseConfs.md)
 - [CycloneQueueReleaseEncRequest](docs/CycloneQueueReleaseEncRequest.md)
 - [CycloneQueueReleaseEncResponse](docs/CycloneQueueReleaseEncResponse.md)
 - [CycloneQueueReleaseRequest](docs/CycloneQueueReleaseRequest.md)
 - [CycloneQueueReleaseResource](docs/CycloneQueueReleaseResource.md)
 - [CycloneQueueReleaseResponse](docs/CycloneQueueReleaseResponse.md)
 - [CycloneQueueRunEncRequest](docs/CycloneQueueRunEncRequest.md)
 - [CycloneQueueRunEncResponse](docs/CycloneQueueRunEncResponse.md)
 - [CycloneQueueRunRequest](docs/CycloneQueueRunRequest.md)
 - [CycloneQueueRunResponse](docs/CycloneQueueRunResponse.md)
 - [CycloneQueueTakeEncRequest](docs/CycloneQueueTakeEncRequest.md)
 - [CycloneQueueTakeEncResponse](docs/CycloneQueueTakeEncResponse.md)
 - [CycloneQueueTakeRequest](docs/CycloneQueueTakeRequest.md)
 - [CycloneQueueTakeResponse](docs/CycloneQueueTakeResponse.md)
 - [CycloneQueueTakeResultResponse](docs/CycloneQueueTakeResultResponse.md)
 - [CycloneResource](docs/CycloneResource.md)
 - [CycloneResourceSettings](docs/CycloneResourceSettings.md)
 - [CycloneServer](docs/CycloneServer.md)
 - [CycloneServerEncRequest](docs/CycloneServerEncRequest.md)
 - [CycloneServerEncResponse](docs/CycloneServerEncResponse.md)
 - [CycloneServerEtlSettings](docs/CycloneServerEtlSettings.md)
 - [CycloneServerKey](docs/CycloneServerKey.md)
 - [CycloneServerKeyRotate](docs/CycloneServerKeyRotate.md)
 - [CycloneServerLogSettings](docs/CycloneServerLogSettings.md)
 - [CycloneServerRequest](docs/CycloneServerRequest.md)
 - [CycloneServerResponse](docs/CycloneServerResponse.md)
 - [CycloneServerStatus](docs/CycloneServerStatus.md)
 - [CycloneSqlResource](docs/CycloneSqlResource.md)
 - [CycloneSqlResourceAliasColumn](docs/CycloneSqlResourceAliasColumn.md)
 - [CycloneSqlResourceCTExtended](docs/CycloneSqlResourceCTExtended.md)
 - [CycloneSqlResourceDtActivity](docs/CycloneSqlResourceDtActivity.md)
 - [CycloneSqlResourceDtTracking](docs/CycloneSqlResourceDtTracking.md)
 - [CycloneSqlResourceExtId](docs/CycloneSqlResourceExtId.md)
 - [CycloneSqlResourceExtIdFOV](docs/CycloneSqlResourceExtIdFOV.md)
 - [CycloneSqlResourceWhere](docs/CycloneSqlResourceWhere.md)
 - [CycloneSqlResourceWhereCondition](docs/CycloneSqlResourceWhereCondition.md)
 - [CycloneState](docs/CycloneState.md)
 - [CycloneStateItemList](docs/CycloneStateItemList.md)
 - [CycloneStateListEncRequest](docs/CycloneStateListEncRequest.md)
 - [CycloneStateListEncResponse](docs/CycloneStateListEncResponse.md)
 - [CycloneStateListRequest](docs/CycloneStateListRequest.md)
 - [CycloneStateListResponse](docs/CycloneStateListResponse.md)
 - [CycloneStateReceipt](docs/CycloneStateReceipt.md)
 - [CycloneStateSaveListEncRequest](docs/CycloneStateSaveListEncRequest.md)
 - [CycloneStateSaveListEncResponse](docs/CycloneStateSaveListEncResponse.md)
 - [CycloneStateSaveListRequest](docs/CycloneStateSaveListRequest.md)
 - [CycloneStateSaveListResponse](docs/CycloneStateSaveListResponse.md)
 - [CycloneStateSearch](docs/CycloneStateSearch.md)
 - [CycloneStateSearchResult](docs/CycloneStateSearchResult.md)
 - [CycloneStateSync](docs/CycloneStateSync.md)
 - [CycloneStatusEncRequest](docs/CycloneStatusEncRequest.md)
 - [CycloneStatusEncResponse](docs/CycloneStatusEncResponse.md)
 - [CycloneStatusRequest](docs/CycloneStatusRequest.md)
 - [CycloneStatusResponse](docs/CycloneStatusResponse.md)
 - [CycloneSuccessResponse](docs/CycloneSuccessResponse.md)
 - [CycloneSymmetricEncTest](docs/CycloneSymmetricEncTest.md)
 - [DataQuery](docs/DataQuery.md)
 - [DataQueryContext](docs/DataQueryContext.md)
 - [DataSelector](docs/DataSelector.md)
 - [DataView](docs/DataView.md)
 - [DataViewBase](docs/DataViewBase.md)
 - [DataViewDimension](docs/DataViewDimension.md)
 - [DataViewFilter](docs/DataViewFilter.md)
 - [DataViewFilterValue](docs/DataViewFilterValue.md)
 - [DataViewFilterValueColumn](docs/DataViewFilterValueColumn.md)
 - [DataViewInterval](docs/DataViewInterval.md)
 - [DataViewLookup](docs/DataViewLookup.md)
 - [DataViewMetric](docs/DataViewMetric.md)
 - [DataViewMetricCalc](docs/DataViewMetricCalc.md)
 - [DataViewMetricOrderBy](docs/DataViewMetricOrderBy.md)
 - [DataViewMode](docs/DataViewMode.md)
 - [DataViewPeriodToDate](docs/DataViewPeriodToDate.md)
 - [DataViewSort](docs/DataViewSort.md)
 - [DataViewUniqueLimit](docs/DataViewUniqueLimit.md)
 - [Dataset](docs/Dataset.md)
 - [DatasetError](docs/DatasetError.md)
 - [DatasetMetadata](docs/DatasetMetadata.md)
 - [DatasetMetadataV0](docs/DatasetMetadataV0.md)
 - [DatasetUpdate](docs/DatasetUpdate.md)
 - [DateDimension](docs/DateDimension.md)
 - [DateTimeFilter](docs/DateTimeFilter.md)
 - [DateTimeFilterComponent](docs/DateTimeFilterComponent.md)
 - [DatetimeConstantTransform](docs/DatetimeConstantTransform.md)
 - [DatetimeCurrentDateTransform](docs/DatetimeCurrentDateTransform.md)
 - [DatetimeCurrentTimestampTransform](docs/DatetimeCurrentTimestampTransform.md)
 - [DatetimeDiffFromColumnDateTransform](docs/DatetimeDiffFromColumnDateTransform.md)
 - [DatetimeDiffFromNowTransform](docs/DatetimeDiffFromNowTransform.md)
 - [DatetimeDiffFromStaticDateTransform](docs/DatetimeDiffFromStaticDateTransform.md)
 - [DatetimeDiffTransform](docs/DatetimeDiffTransform.md)
 - [DatetimeFormatTransform](docs/DatetimeFormatTransform.md)
 - [DatetimeOffsetColumnValueTransform](docs/DatetimeOffsetColumnValueTransform.md)
 - [DatetimeOffsetStaticValueTransform](docs/DatetimeOffsetStaticValueTransform.md)
 - [DatetimeOffsetTransform](docs/DatetimeOffsetTransform.md)
 - [DatetimeRangeTransform](docs/DatetimeRangeTransform.md)
 - [DatetimeSelectTransform](docs/DatetimeSelectTransform.md)
 - [DatetimeTransform](docs/DatetimeTransform.md)
 - [DedupeDatastreamOperation](docs/DedupeDatastreamOperation.md)
 - [Dimension](docs/Dimension.md)
 - [DivideMetric](docs/DivideMetric.md)
 - [Download](docs/Download.md)
 - [DownloadError](docs/DownloadError.md)
 - [DownloadV1](docs/DownloadV1.md)
 - [DownloadV2](docs/DownloadV2.md)
 - [DropTransform](docs/DropTransform.md)
 - [DruidDownloadSettings](docs/DruidDownloadSettings.md)
 - [DruidSqlDownloadSettings](docs/DruidSqlDownloadSettings.md)
 - [DruidWriteConfig](docs/DruidWriteConfig.md)
 - [EmailAddress](docs/EmailAddress.md)
 - [EmailReportConfig](docs/EmailReportConfig.md)
 - [EntityBatch](docs/EntityBatch.md)
 - [EntityBatchHealth](docs/EntityBatchHealth.md)
 - [Filter](docs/Filter.md)
 - [FilterMap](docs/FilterMap.md)
 - [FilterPreset](docs/FilterPreset.md)
 - [FullUser](docs/FullUser.md)
 - [GeoData](docs/GeoData.md)
 - [Goal](docs/Goal.md)
 - [GoalFilter](docs/GoalFilter.md)
 - [IndividualDataSelector](docs/IndividualDataSelector.md)
 - [Integration](docs/Integration.md)
 - [IntegrationBatchHistoryReceipt](docs/IntegrationBatchHistoryReceipt.md)
 - [IntegrationDataset](docs/IntegrationDataset.md)
 - [IntegrationFull](docs/IntegrationFull.md)
 - [IntegrationSyncHistoryReceipt](docs/IntegrationSyncHistoryReceipt.md)
 - [IntegrationType](docs/IntegrationType.md)
 - [IntegrationTypeFull](docs/IntegrationTypeFull.md)
 - [IntegrationTypeUpdate](docs/IntegrationTypeUpdate.md)
 - [IntegrationUpdate](docs/IntegrationUpdate.md)
 - [IsoDateTimeFilter](docs/IsoDateTimeFilter.md)
 - [Job](docs/Job.md)
 - [JobOperationSchema](docs/JobOperationSchema.md)
 - [JobOverview](docs/JobOverview.md)
 - [Join](docs/Join.md)
 - [JoinRelationship](docs/JoinRelationship.md)
 - [Link](docs/Link.md)
 - [LoadDatastreamOperation](docs/LoadDatastreamOperation.md)
 - [LoadDatesTableOperation](docs/LoadDatesTableOperation.md)
 - [LoadTableOperation](docs/LoadTableOperation.md)
 - [LoaderSettings](docs/LoaderSettings.md)
 - [MapExplodeManyTransform](docs/MapExplodeManyTransform.md)
 - [MapExplodeTransform](docs/MapExplodeTransform.md)
 - [MapTransform](docs/MapTransform.md)
 - [MultiplyMetric](docs/MultiplyMetric.md)
 - [NewUserToken](docs/NewUserToken.md)
 - [NonNullFilter](docs/NonNullFilter.md)
 - [NormalUser](docs/NormalUser.md)
 - [NotifyUser](docs/NotifyUser.md)
 - [NumberBinaryTransform](docs/NumberBinaryTransform.md)
 - [NumberBinaryValueTransform](docs/NumberBinaryValueTransform.md)
 - [NumberBucketFilter](docs/NumberBucketFilter.md)
 - [NumberBucketTransform](docs/NumberBucketTransform.md)
 - [NumberCastTransform](docs/NumberCastTransform.md)
 - [NumberConstantTransform](docs/NumberConstantTransform.md)
 - [NumberDefaultTransform](docs/NumberDefaultTransform.md)
 - [NumberFilter](docs/NumberFilter.md)
 - [NumberTransform](docs/NumberTransform.md)
 - [NumberUnaryTransform](docs/NumberUnaryTransform.md)
 - [ObjectHistory](docs/ObjectHistory.md)
 - [ObjectHistorySync](docs/ObjectHistorySync.md)
 - [Options](docs/Options.md)
 - [OrFilter](docs/OrFilter.md)
 - [Page](docs/Page.md)
 - [PageFilterPreferences](docs/PageFilterPreferences.md)
 - [PageFull](docs/PageFull.md)
 - [PagePreferences](docs/PagePreferences.md)
 - [PagePreferencesUpdate](docs/PagePreferencesUpdate.md)
 - [PagePublications](docs/PagePublications.md)
 - [PageTemplate](docs/PageTemplate.md)
 - [PageTemplateUpdate](docs/PageTemplateUpdate.md)
 - [PageView](docs/PageView.md)
 - [PartnerBatch](docs/PartnerBatch.md)
 - [PartnerPostData](docs/PartnerPostData.md)
 - [PasswordChangeRequest](docs/PasswordChangeRequest.md)
 - [PasswordResetChange](docs/PasswordResetChange.md)
 - [PasswordResetRequest](docs/PasswordResetRequest.md)
 - [PercentageMetric](docs/PercentageMetric.md)
 - [PercentileLookupMetric](docs/PercentileLookupMetric.md)
 - [PostData](docs/PostData.md)
 - [ProlearnBaseObject](docs/ProlearnBaseObject.md)
 - [ProlearnCallback](docs/ProlearnCallback.md)
 - [ProlearnCourse](docs/ProlearnCourse.md)
 - [ProlearnCredit](docs/ProlearnCredit.md)
 - [ProlearnCreditType](docs/ProlearnCreditType.md)
 - [ProlearnRegistration](docs/ProlearnRegistration.md)
 - [ProlearnUser](docs/ProlearnUser.md)
 - [RawStreamJobSubmissions](docs/RawStreamJobSubmissions.md)
 - [RefreshInterval](docs/RefreshInterval.md)
 - [RefreshSchedule](docs/RefreshSchedule.md)
 - [RefreshState](docs/RefreshState.md)
 - [RegisterUdfOperation](docs/RegisterUdfOperation.md)
 - [RenameTransform](docs/RenameTransform.md)
 - [RenameTransform2](docs/RenameTransform2.md)
 - [Report](docs/Report.md)
 - [ReportAdd](docs/ReportAdd.md)
 - [ReportConfig](docs/ReportConfig.md)
 - [ReportConfigUpdate](docs/ReportConfigUpdate.md)
 - [ReportError](docs/ReportError.md)
 - [ReportUpdate](docs/ReportUpdate.md)
 - [Role](docs/Role.md)
 - [RolePermission](docs/RolePermission.md)
 - [RoleUpdate](docs/RoleUpdate.md)
 - [SarimaxDatasetTask](docs/SarimaxDatasetTask.md)
 - [SarimaxTask](docs/SarimaxTask.md)
 - [SarimaxTaskMetric](docs/SarimaxTaskMetric.md)
 - [Schema](docs/Schema.md)
 - [SchemaField](docs/SchemaField.md)
 - [SchemaFieldMetadata](docs/SchemaFieldMetadata.md)
 - [SchemaSchema](docs/SchemaSchema.md)
 - [SettingsSpec](docs/SettingsSpec.md)
 - [SnapshotDatasetTask](docs/SnapshotDatasetTask.md)
 - [Sort](docs/Sort.md)
 - [StreamJob](docs/StreamJob.md)
 - [StreamJobDruid](docs/StreamJobDruid.md)
 - [StreamJobDruidDatasource](docs/StreamJobDruidDatasource.md)
 - [StreamJobDruidMetadata](docs/StreamJobDruidMetadata.md)
 - [StreamJobOperation](docs/StreamJobOperation.md)
 - [StreamJobOperationMetadata](docs/StreamJobOperationMetadata.md)
 - [StreamJobRockset](docs/StreamJobRockset.md)
 - [StreamJobRocksetCollection](docs/StreamJobRocksetCollection.md)
 - [StreamJobRocksetMetadata](docs/StreamJobRocksetMetadata.md)
 - [StreamJobSubmissions](docs/StreamJobSubmissions.md)
 - [StringBucketFilter](docs/StringBucketFilter.md)
 - [StringBucketTransform](docs/StringBucketTransform.md)
 - [StringCasingTransform](docs/StringCasingTransform.md)
 - [StringConstantTransform](docs/StringConstantTransform.md)
 - [StringDefaultTransform](docs/StringDefaultTransform.md)
 - [StringDistanceTransform](docs/StringDistanceTransform.md)
 - [StringExtractUrlComponentTransform](docs/StringExtractUrlComponentTransform.md)
 - [StringFilter](docs/StringFilter.md)
 - [StringFormatTransform](docs/StringFormatTransform.md)
 - [StringLookupStateTransform](docs/StringLookupStateTransform.md)
 - [StringRegexpExtractTransform](docs/StringRegexpExtractTransform.md)
 - [StringRegexpReplaceTransform](docs/StringRegexpReplaceTransform.md)
 - [StringSoundexTransform](docs/StringSoundexTransform.md)
 - [StringSplitTransform](docs/StringSplitTransform.md)
 - [StringSubstringIndexTransform](docs/StringSubstringIndexTransform.md)
 - [StringSubstringTransform](docs/StringSubstringTransform.md)
 - [StringToDatetimeTransform](docs/StringToDatetimeTransform.md)
 - [StringToNumTransform](docs/StringToNumTransform.md)
 - [StringTransform](docs/StringTransform.md)
 - [StringTrimTransform](docs/StringTrimTransform.md)
 - [SubNav](docs/SubNav.md)
 - [SubtractMetric](docs/SubtractMetric.md)
 - [TableToStreamOperation](docs/TableToStreamOperation.md)
 - [TemplatedPage](docs/TemplatedPage.md)
 - [Term](docs/Term.md)
 - [TimeStepAggregationDatasetTask](docs/TimeStepAggregationDatasetTask.md)
 - [TimeStepAggregationTask](docs/TimeStepAggregationTask.md)
 - [TimeStepDifferenceMetric](docs/TimeStepDifferenceMetric.md)
 - [TimeStepGrowthRateMetric](docs/TimeStepGrowthRateMetric.md)
 - [TimeStepMetric](docs/TimeStepMetric.md)
 - [TimeStepMetricDatasetTask](docs/TimeStepMetricDatasetTask.md)
 - [TimeStepMetricTask](docs/TimeStepMetricTask.md)
 - [TimeStepMode](docs/TimeStepMode.md)
 - [TimeStepNetforumStatsMetric](docs/TimeStepNetforumStatsMetric.md)
 - [TimeStepRenewalRateMetric](docs/TimeStepRenewalRateMetric.md)
 - [TopNDatasetTask](docs/TopNDatasetTask.md)
 - [TopNTask](docs/TopNTask.md)
 - [TopNTaskPartition](docs/TopNTaskPartition.md)
 - [TopNTaskSort](docs/TopNTaskSort.md)
 - [Transform](docs/Transform.md)
 - [UnaryMetric](docs/UnaryMetric.md)
 - [UniqueLimit](docs/UniqueLimit.md)
 - [UpdateApiUser](docs/UpdateApiUser.md)
 - [UpdateUser](docs/UpdateUser.md)
 - [Upload](docs/Upload.md)
 - [UploadField](docs/UploadField.md)
 - [UserActivation](docs/UserActivation.md)
 - [UserRole](docs/UserRole.md)
 - [UserToken](docs/UserToken.md)
 - [Vault](docs/Vault.md)
 - [View](docs/View.md)
 - [ViewError](docs/ViewError.md)
 - [VirtualUser](docs/VirtualUser.md)
 - [Widget](docs/Widget.md)
 - [WidgetFull](docs/WidgetFull.md)
 - [WidgetType](docs/WidgetType.md)
 - [WriteBackup](docs/WriteBackup.md)
 - [WriteConfig](docs/WriteConfig.md)
 - [WriteConfigDruidOverride](docs/WriteConfigDruidOverride.md)
 - [WriteConfigOverride](docs/WriteConfigOverride.md)
 - [WriteDatastreamOperation](docs/WriteDatastreamOperation.md)
 - [WriteTableOperation](docs/WriteTableOperation.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## basic

- **Type**: HTTP basic authentication

## jwt

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## oauth2

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author




